## go-3d-rotation-sel go-3d-rotation-sel |

## Functions

double | go_3d_rotation_sel_get_fov ()
void | go_3d_rotation_sel_get_matrix ()
double | go_3d_rotation_sel_get_phi ()
double | go_3d_rotation_sel_get_psi ()
double | go_3d_rotation_sel_get_theta ()
GtkWidget * | go_3d_rotation_sel_new ()
void | go_3d_rotation_sel_set_fov ()
void | go_3d_rotation_sel_set_matrix ()

## Signals

void | fov-changed | Run Last
void | matrix-changed | Run Last
void | phi-changed | Run Last
void | psi-changed | Run Last
void | theta-changed | Run Last

## Types and Values

| GO3DRotationSel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GO3DRotationSel

## Implemented Interfaces

GO3DRotationSel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### go_3d_rotation_sel_get_fov ()

    double
    go_3d_rotation_sel_get_fov (GO3DRotationSel const *rs);

### go_3d_rotation_sel_get_matrix ()

    void
    go_3d_rotation_sel_get_matrix (GO3DRotationSel const *rs,
                                   GOMatrix3x3 *mat);

### go_3d_rotation_sel_get_phi ()

    double
    go_3d_rotation_sel_get_phi (GO3DRotationSel const *rs);

### go_3d_rotation_sel_get_psi ()

    double
    go_3d_rotation_sel_get_psi (GO3DRotationSel const *rs);

### go_3d_rotation_sel_get_theta ()

    double
    go_3d_rotation_sel_get_theta (GO3DRotationSel const *rs);

### go_3d_rotation_sel_new ()

    GtkWidget *
    go_3d_rotation_sel_new (void);

### go_3d_rotation_sel_set_fov ()

    void
    go_3d_rotation_sel_set_fov (GO3DRotationSel *rs,
                                double fov);

### go_3d_rotation_sel_set_matrix ()

    void
    go_3d_rotation_sel_set_matrix (GO3DRotationSel *rs,
                                   GOMatrix3x3 *mat);

## Types and Values

### GO3DRotationSel

    typedef struct _GO3DRotationSel GO3DRotationSel;

## Signal Details

### The `“fov-changed”` signal

    void
    user_function (GO3DRotationSel *go3drotationsel,
                   int              arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“matrix-changed”` signal

    void
    user_function (GO3DRotationSel *go3drotationsel,
                   gpointer         user_data)

Flags: Run Last

### The `“phi-changed”` signal

    void
    user_function (GO3DRotationSel *go3drotationsel,
                   int              arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“psi-changed”` signal

    void
    user_function (GO3DRotationSel *go3drotationsel,
                   int              arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“theta-changed”` signal

    void
    user_function (GO3DRotationSel *go3drotationsel,
                   int              arg1,
                   gpointer         user_data)

Flags: Run Last